package com.zt.service;

import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.kafka.support.Acknowledgment;
import org.springframework.stereotype.Service;

import javax.xml.crypto.Data;

@Service
public class ConsumerService {
    @KafkaListener(topics = "test",groupId = "group")
    public void listen(String message, Acknowledgment acknowledgment, Data data){
        System.out.println("consumer message:"+message);
        acknowledgment.acknowledge();
    }
}
